************************
     *****************************************************************
*     ***************************************************************** 
* 		File-Name:      ch4 do file on basic setup_may2020.do       	                 
*   	Date:           Feb 2018 (v1) May 2020 (final)                               
*     	Author:         LH                                          
*     	Purpose:        Create tables and figures for chapter 4 basic set up
*    	*     ****************************************************************  
*     ****************************************************************  





***CHAPTER FOUR: THE BASIC SET-UP****
**AUTHOR: Liesbet Hooghe
**Version v1.: 06/10/2018 // version v.2 final: 05/05/2020
***********************
USE: "INDEP_replication.dta"

1. tables and stats
2. figures at the end

gen typeIend=typeI if end==1
gsort ionumber -year
by ionumber, sort: replace typeIend=typeIend[_n-1] if typeIend==.
sort ionumber year
gen typediff=typeIend-typeI
gsort ionumber -year
gen coreend=core if end==1
gsort ionumber -year
by ionumber, sort: replace coreend=coreend[_n-1] if coreend==.
gen scopeend=scope if end==1
gsort ionumber -year
by ionumber, sort: replace scopeend=scopeend[_n-1] if scopeend==.
sort ionumber year
by ionumber, sort: gen type_ch=typeI-typeI[_n-1]
by ionumber, sort: gen contract_ch=contract-contract[_n-1]
list ioname year typeI type_ch contract contract_ch typeIend coreend core inception age_adj if type_ch!=. & type_ch!=0, noobs clean

     ioname   year   typeI   type_ch          contract   contra~h   typeIend   coreend   core   incept~n   age_adj  
    Benelux   1960       1         1   general purpose          1          1         3      3       1948        11  
    Caricom   1973       1         1   general purpose          1          1         4      3       1968         6  
       IGAD   1996       1         1   general purpose          1          1         3      2       1986        11  

tab typeIend typeI if initial==1, chi

===============
*Table 4.1: general purpose and task-specific governance: conceptual
	  
==============================================

**Table 4.2: Predictions and Findings
use "ch4\INDEP_replication.dta" 



** H2: members
**diptest == probability that there is a "dip" in the distribution that is DEEPER than the dip in the table. So for
**type II the dip is pronounced and highly significant indicating a bimodal distribution; for type I, there is a shallow dip//
**that is not significant indicating a unimodal distribution
 
diptest members if end==1

  +----------------------------------------------+
  |  n      dip        P   low   high       mean |
  |----------------------------------------------|
  | 76   0.0865   0.0001     3     21   9.685715 |
  +----------------------------------------------+


diptest members if end==1, by (typeI)

 diptest members if end==1, by (typeI)

  +--------------------------------------------------------------+
  |           typeI    n      dip        P   low   high     mean |
  |--------------------------------------------------------------|
  |   task-specific   44   0.1301   0.0000   149    189   175.25 |
  | general purpose   32   0.0524   0.7344     6      6        6 |
  +--------------------------------------------------------------+


  diptest members if end==1
  
  diptest calculates and displays the dip statistic to test for
    unimodality. This statistic is the maximum difference between the
    empirical distribution function and the unimodal distribution function
    that minimises that maximum difference. The dip thus measures departure
    of a sample from unimodality and was proposed by Hartigan and Hartigan
    (1985) as a test statistic for unimodality. Hartigan (1985) published
    Fortran code. Maechler (2003) published corrected C code as part of an R
    package diptest.

    The reference distribution for calculating the dip statistic is the
    uniform, as a worst case unimodal distribution. P-values are calculated
    by comparing the dip statistic obtained with those for repeated samples
    of the same size from a uniform distribution. 

  
  
 Hartigan and Hartigan (1985, p.80), and also Hartigan (1985, p.321),
    give a table of percent points (1, 5, 10, 50, 90, 95, 99, 99.5, 99.9%)
    for the null distribution of the dip statistic for sample sizes 4(1)10
    15 20 30 50 100 200 based on 9999 simulations.

    For sample sizes 1 to 3 or samples of identical values, the dip is
    returned as 0.

    Note that this procedure is independent of any density estimation
    procedure.

    As a side-effect of the calculation, diptest returns low and high ends
    of the modal interval for the best-fitting unimodal distribution
    corresponding to the data. The mean of values in that interval is also
    reported, without warranty of any merits as a summary.

 Hartigan, J.A. and P.M. Hartigan. 1985. The dip test of unimodality.
        Annals of Statistics 13: 70-84.

    Hartigan, P.M. 1985. Algorithm AS 217: Computation of the dip statistic
        to test for unimodality. Applied Statistics 34: 320-325.


**H3: enlargement
sort ionumber year
by ionumber, sort: gen members_ch=members - members[_n-1]

tabstat members_ch, stats (sum mean min max p50 sd cv N) by (typeI)

tabstat members_ch, stats (sum mean min max p50 sd cv N) by (typeI)

Summary for variables: members_ch
     by categories of: typeI (based on contractdich (after Berlin))

   typeI |       sum      mean       min       max       p50        sd        cv         N
---------+--------------------------------------------------------------------------------
       0 |      2644  1.304391        -3        72         0  2.893229  2.218069      2027
       1 |       369  .3103448        -2        18         0  1.181537  3.807174      1189
---------+--------------------------------------------------------------------------------
   Total |      3013  .9368781        -3        72         0  2.453815   2.61914      3216
------------------------------------------------------------------------------------------

ttest members_ch, by(typeI) unequal

Two-sample t test with unequal variances
------------------------------------------------------------------------------
   Group |     Obs        Mean    Std. Err.   Std. Dev.   [95% Conf. Interval]
---------+--------------------------------------------------------------------
       0 |   2,027    1.304391    .0642623    2.893229    1.178364    1.430418
       1 |   1,189    .3103448    .0342654    1.181537    .2431173    .3775724
---------+--------------------------------------------------------------------
combined |   3,216    .9368781    .0432697    2.453815    .8520391    1.021717
---------+--------------------------------------------------------------------
    diff |            .9940459    .0728269                .8512489    1.136843
------------------------------------------------------------------------------
    diff = mean(0) - mean(1)                                      t =  13.6494
Ho: diff = 0                     Satterthwaite's degrees of freedom =  2936.95

    Ha: diff < 0                 Ha: diff != 0                 Ha: diff > 0
 Pr(T < t) = 1.0000         Pr(|T| > |t|) = 0.0000          Pr(T > t) = 0.0000



 tabstat members if initial==1, stats (mean median) by (typeI)

  typeI |      mean       p50
---------+--------------------
       0 |  37.57447        22
       1 |  11.82759         7
---------+--------------------
   Total |     27.75        15
------------------------------

 tabstat members if end==1, stats (mean median) by (typeI)

Summary for variables: members
     by categories of: typeI (based on contractdich (after Berlin))

   typeI |      mean       p50
---------+--------------------
       0 |  99.93182     109.5
       1 |    22.625        10
---------+--------------------
   Total |  67.38158        29
------------------------------


 
==============
**(H4) policy portfolio
sort ionumber year

by ionumber, sort: gen scope_ch=scope - scope[_n-1]
(76 missing values generated)


. browse ioname year scope core flank scope_ch

tabstat scope if initial==1, stats (mean p50) by (typeI)
tabstat scope if end==1, stats (mean p50) by (typeI)

Summary for variables: scope
     by categories of: typeI (based on contractdich (after Berlin))

          typeI |      mean       p50
----------------+--------------------
  task-specific |  2.531915         2
general purpose |  8.068966         7
----------------+--------------------
          Total |  4.644737         3
-------------------------------------


. tabstat scope if end==1, stats (mean p50) by (typeI)

Summary for variables: scope
     by categories of: typeI (based on contractdich (after Berlin))

   typeI |      mean       p50
---------+--------------------
       0 |  3.568182         3
       1 |  14.21875      14.5
---------+--------------------
   Total |  8.052632         6
------------------------------



. tabstat scope_ch, stats (sum mean min max p50 sd N) by (typeI)

Summary for variables: scope_ch
     by categories of: typeI (based on contractdich (after Berlin))

   typeI |       sum      mean       min       max       p50        sd         N
---------+----------------------------------------------------------------------
       0 |        44   .021707        -2         4         0  .1950079      2027
       1 |       220  .1850294        -7        14         0  .9741151      1189
---------+----------------------------------------------------------------------
   Total |       264  .0820896        -7        14         0  .6171041      3216
--------------------------------------------------------------------------------

. do "C:\Users\hooghe\AppData\Local\Temp\STD54d4_000000.tmp"

ttest scope_ch, by (typeI) unequal

Two-sample t test with unequal variances
------------------------------------------------------------------------------
   Group |     Obs        Mean    Std. Err.   Std. Dev.   [95% Conf. Interval]
---------+--------------------------------------------------------------------
       0 |   2,027     .021707    .0043314    .1950079    .0132126    .0302014
       1 |   1,189    .1850294    .0282501    .9741151    .1296039     .240455
---------+--------------------------------------------------------------------
combined |   3,216    .0820896    .0108818    .6171041    .0607536    .1034255
---------+--------------------------------------------------------------------
    diff |           -.1633225    .0285802               -.2193931   -.1072518
------------------------------------------------------------------------------
    diff = mean(0) - mean(1)                                      t =  -5.7145
Ho: diff = 0                     Satterthwaite's degrees of freedom =  1244.11

    Ha: diff < 0                 Ha: diff != 0                 Ha: diff > 0
 Pr(T < t) = 0.0000         Pr(|T| > |t|) = 0.0000          Pr(T > t) = 1.0000


**rate per decade:
***typeI 220/98.2=
***typeII 44/223.4= 


============
*Figure 4.1: The Community versus Scale Trade-Off [schematic]


* Figure 4.2: The Trade-Off between Members and Community


*first standardize around mean and sd
tabstat community8 if end==1, stats (mean sd)
egen community8sd=std(community8) if end==1
twoway (fpfitci community8sd members if end==1) (scatter community8sd members if end==1, mlabel(ioname))

. fp <members>: regress community8sd <members>


(fitting 44 models)
(....10%....20%....30%....40%....50%....60%....70%....80%....90%....100%)

Fractional polynomial comparisons:
-------------------------------------------------------------------------------
     members |   df    Deviance  Res. s.d.   Dev. dif.   P(*)   Powers
-------------+-----------------------------------------------------------------
     omitted |    0    214.672      1.000    125.136    0.000               
      linear |    1    118.859      0.536     29.323    0.000   1           
       m = 1 |    2     92.311      0.450      2.775    0.274   0           
       m = 2 |    4     89.536      0.445      0.000       --   .5 2        
-------------------------------------------------------------------------------
(*) P = sig. level of model with m = 2 based on F with 71 denominator dof.

      Source |       SS           df       MS      Number of obs   =        76
-------------+----------------------------------   F(2, 73)        =    152.90
       Model |  60.5461724         2  30.2730862   Prob > F        =    0.0000
    Residual |   14.453828        73  .197997644   R-squared       =    0.8073
-------------+----------------------------------   Adj R-squared   =    0.8020
       Total |  75.0000004        75  1.00000001   Root MSE        =    .44497

------------------------------------------------------------------------------
community8sd |      Coef.   Std. Err.      t    P>|t|     [95% Conf. Interval]
-------------+----------------------------------------------------------------
   members_1 |  -.2948889   .0338723    -8.71   0.000    -.3623963   -.2273816
   members_2 |   .0000325   .0000109     3.00   0.004     .0000109    .0000542
       _cons |   1.728432   .1497803    11.54   0.000      1.42992    2.026943
------------------------------------------------------------------------------

predict xb
gen diff = xb-community8sd
sort diff
list ioname community8sd xb diff if diff!=.

list ioname community8sd xb diff if diff!=.

      +----------------------------------------------+
      |   ioname   communi~d          xb        diff |
      |----------------------------------------------|
   1. |     SELA    1.057143    .1935359   -.8636076 |
   2. |      EEA     .941443    .1425426   -.7989004 |
   3. |     SICA    1.688514    .9498232   -.7386909 |
   4. |      PIF    1.352802    .6314357   -.7213663 |
   5. |       EU    .9389817     .219864   -.7191176 |
      |----------------------------------------------|
   6. |   Nordic    1.787163    1.069853   -.7173097 |
   7. |      COE    .4170124   -.2213485   -.6383609 |
   8. |     CERN    1.038906    .4226634    -.616243 |
   9. | Mercosur    1.719499    1.139174   -.5803246 |
  10. |     LOAS     .955608      .39143   -.5641779 |
      |----------------------------------------------|
  11. |      CAN    1.676668    1.139174   -.5374938 |
  12. |      ESA    1.016189    .4878661   -.5283227 |
  13. |      GCC    1.535079    1.007276   -.5278031 |
  14. |    OAPEC    1.233147    .7991647   -.4339827 |
  15. |    ALADI    1.136585    .7115918   -.4249927 |
      |----------------------------------------------|
  16. |      AMU    1.427223    1.069853   -.3573693 |
  17. |     EFTA    1.389786    1.139174   -.2506121 |
  18. |     CCNR    1.312171    1.069853   -.2423174 |
  19. |      ICC   -.7425084   -.9842219   -.2417135 |
  20. |      OIC   -.1450811   -.3600956   -.2150145 |
      |----------------------------------------------|
  21. |      SPC    .6932889    .5572056   -.1360833 |
  22. |     EAC1    1.348036    1.217962   -.1300738 |
  23. |   ComSec   -.2007177   -.3269928   -.1262751 |
  24. |     NATO    .3010858    .1935359   -.1075499 |
  25. |  Benelux    1.312067    1.217962   -.0941051 |
      |----------------------------------------------|
  26. |     OSCE   -.2981157   -.3600956   -.0619799 |
  27. |      ISA   -1.100207   -1.157459   -.0572523 |
  28. |     SACU    1.124285    1.069853   -.0544313 |
  29. |      WTO   -1.099684   -1.153324   -.0536392 |
  30. |    ECCAS    .8344175    .7991647   -.0352527 |
      |----------------------------------------------|
  31. |      GEF   -1.152631   -1.174941     -.02231 |
  32. |    UNIDO   -1.165539   -1.176104   -.0105642 |
  33. |      ILO   -1.164769   -1.173685    -.008916 |
  34. |     WIPO   -1.166758   -1.174361   -.0076028 |
  35. |      WCO   -1.168121   -1.173636   -.0055149 |
      |----------------------------------------------|
  36. | Interpol   -1.171427   -1.174361   -.0029342 |
  37. |   UNESCO   -1.161203   -1.163328   -.0021256 |
  38. |      IMO   -1.171973   -1.173636   -.0016632 |
  39. |     IBRD   -1.171715   -1.172046   -.0003313 |
  40. |       AU   -.3097356   -.3100598   -.0003242 |
      |----------------------------------------------|
  41. |      WMO   -1.175408   -1.174361    .0010473 |
  42. |      IMF   -1.170403   -1.168876    .0015275 |
  43. |    UNWTO   -1.165077   -1.162883     .002194 |
  44. |      UPU   -1.177035    -1.16629    .0107453 |
  45. |      FAO   -1.179911    -1.16629    .0136213 |
      |----------------------------------------------|
  46. |      WHO   -1.177054   -1.163328    .0137254 |
  47. |     IAEA   -1.162947   -1.148769    .0141783 |
  48. |      ITU   -1.178216   -1.163328    .0148878 |
  49. |     ICAO   -1.180783   -1.164856    .0159268 |
  50. |      IOM   -1.004771   -.9842219    .0205489 |
      |----------------------------------------------|
  51. |       UN   -1.179631   -1.158185    .0214454 |
  52. |    SAARC    .8344352    .8964422     .062007 |
  53. |      OAS   -.0506096    .0237043    .0743139 |
  54. |     OECS    .9255906    1.007276    .0816849 |
  55. |     OTIF   -.2415555   -.1451216    .0964339 |
      |----------------------------------------------|
  56. |   ECOWAS    .4885219    .5936527    .1051309 |
  57. |   IWhale   -.9346941   -.7758285    .1588655 |
  58. |     OECD   -.1143497    .0465624    .1609121 |
  59. |      PCA   -1.164106   -.9493948     .214711 |
  60. |     NAFO   -.2547657    .0012673    .2560331 |
      |----------------------------------------------|
  61. |      CIS    .4711793    .7543328    .2831535 |
  62. |     SADC    .2459072    .5936527    .3477455 |
  63. |      SCO    .6217876    1.007276     .385488 |
  64. |      OIF   -.6535763    -.257667    .3959093 |
  65. |  Caricom    .2100196    .6314357    .4214161 |
      |----------------------------------------------|
  66. |    NAFTA    .7638144    1.217962    .4541473 |
  67. |      BIS    -.843527   -.3436696    .4998573 |
  68. |     EAC2    .4662623    1.069853     .603591 |
  69. |     CABI   -.7322581   -.1050824    .6271757 |
  70. |    CEMAC    .3461244    1.007276    .6611512 |
      |----------------------------------------------|
  71. |  COMECON    .0342899    .7991647    .7648748 |
  72. |     OPEC     -.14274    .7115918    .8543319 |
  73. |     APEC   -.4753736    .4226634    .8980371 |
  74. |    ASEAN   -.1686178    .7991647    .9677825 |
  75. |   COMESA   -.5542037    .4547868    1.008991 |
      |----------------------------------------------|
  76. |     IGAD   -.1732346    .9498232    1.123058 |
      +----------------------------------------------+

=========================

*Figure 4.3: The bimodal distribution of IOs

twoway (kdensity members if end==1, kernel(gaussian) n(450)) 

