
use "use "\ch6_delegation\new chapter\dp_components.dta" "
**[this is the same file that exists in central DV folder] + additions for this chapter]





**figuring out in which decision areas IOs pool in final stage (at least to some extent)
**NOTE: this does not distinguish between voting rule, bindingness, or ratification
gen PMbw_poold=1 if PMbw_pool>0
replace PMbw_poold=0 if PMbw_pool==0
gen COMbw_poold=1 if COMbw_pool >0
replace COMbw_poold =0 if COMbw_pool ==0
gen BUDbw_poold=1 if BUDbw_pool >0
replace BUDbw_poold =0 if BUDbw_pool==0
gen CONbw_poold=1 if CONbw_pool >0
replace CONbw_poold =0 if CONbw_pool==0
gen SUSPbw_poold=1 if SUSPbw_pool >0
replace SUSPbw_poold=0 if SUSPbw_pool ==0
gen ACCbw_poold=1 if ACCbw_pool >0
replace ACCbw_poold=0 if ACCbw_pool ==0
gen pool_sum= PMbw_poold+COMbw_poold+ BUDbw_poold+ CONbw_poold+ SUSPbw_poold+ ACCbw_poold


gen init_end=1 if initial==1
replace init_end=2 if end==1

tab pool_sum init_end
 tab pool_sum init_end

           |       init_end
  pool_sum |         1          2 |     Total
-----------+----------------------+----------
         0 |         5          0 |         5 
         1 |         4          1 |         5 
         2 |         9          2 |        11 
         3 |        13         10 |        23 
         4 |        17         15 |        32 
         5 |        17         31 |        48 
         6 |        11         17 |        28 
-----------+----------------------+----------
     Total |        76         76 |       152 

graph bar (count), over( pool_sum ) over(init_end) asyvars stack scheme (s1manual)

gen pool_sum3=1 if pool_sum==0|pool_sum==1
replace pool_sum3=2 if pool_sum==2|pool_sum==3
replace pool_sum3=3 if pool_sum==4
replace pool_sum3=4 if pool_sum>4
graph bar (count), over( pool_sum3) over(init_end) asyvars stack scheme (s1manual)


tabstat pool_sum, stats (mean p50 N) by (init_end)

Summary for variables: pool_sum
     by categories of: init_end 

init_end |      mean       p50         N
---------+------------------------------
       1 |  3.684211         4        76
       2 |  4.631579         5        76
---------+------------------------------
   Total |  4.157895       4.5       152
----------------------------------------


list ioname pool_sum PMbw_poold COMbw_poold BUDbw_poold CONbw_poold SUSPbw_poold ACCbw_poold if (pool_sum==0| pool_sum==1) & initial==1

      +---------------------------------------------------------------------------------------+
      |   ioname   pool_sum   PMbw_p~d   COMbw_~d   BUDbw_~d   CONbw_~d   SUSPbw~d   ACCbw_~d |
      |---------------------------------------------------------------------------------------|
   1. |    ASEAN          0          0          0          0          0          0          0 |
  46. |  Benelux          0          0          0          0          0          0          0 |
  48. |    NordC          0          0          0          0          0          0          0 |
  50. |     SACU          0          0          0          0          0          0          0 |
  73. |      OIC          0          0          0          0          0          0          0 |
      |---------------------------------------------------------------------------------------|
 100. | Mercosur          1          0          0          0          0          0          1 |
 120. | Interpol          1          1          0          0          0          0          0 |
 157. |     SICA          1          1          0          0          0          0          0 |
 179. |     OTIF          1          0          0          0          1          0          0 |
      +---------------------------------------------------------------------------------------+

list ioname pool_sum PMbw_poold COMbw_poold BUDbw_poold CONbw_poold SUSPbw_poold ACCbw_poold if (pool_sum==0| pool_sum==1) & end==1

      +-------------------------------------------------------------------------------------+
      | ioname   pool_sum   PMbw_p~d   COMbw_~d   BUDbw_~d   CONbw_~d   SUSPbw~d   ACCbw_~d |
      |-------------------------------------------------------------------------------------|
 189. |   APEC          1          0          0          1          0          0          0 |
      +-------------------------------------------------------------------------------------+

use "C:\MASTER_sept2017_FINAL.dta", clear	  
	  
****policy making, budget
gen bindingpolicy1=2 if (PM1_26==2 & PM1_27!=0 & PM1_27!=1) | (PM2_26==2 & PM2_27!=0 & PM2_27!=1)| (PM3_26==2 & PM3_27!=0 & PM3_27!=1)| (PM4_26==2 & PM4_27!=0 & PM4_27!=1)| (PM5_26==2 & PM5_27!=0 &PM5_27!=1)
replace bindingpolicy1=1 if bindingpolicy1!=2 & ((PM1_26==1 & PM1_27!=0) | (PM2_26==1 & PM2_27!=0)| (PM3_26==1 & PM3_27!=0)| (PM4_26==1 & PM4_27!=0)| (PM5_26==1& PM5_27!=0))
replace bindingpolicy1=0 if (bindingpolicy1!=2 & bindingpolicy1!=1)
tab bindingpolicy1 init_end, column

. tab bindingpolicy init_end, column

+-------------------+
| Key               |
|-------------------|
|     frequency     |
| column percentage |
+-------------------+

  
bindingpol |    1=initial 2=end
      icy1 |   initial        end |     Total
-----------+----------------------+----------
         0 |        26         20 |        46 
           |     34.21      26.32 |     30.26 
-----------+----------------------+----------
         1 |        28         28 |        56 
           |     36.84      36.84 |     36.84 
-----------+----------------------+----------
         2 |        22         28 |        50 
           |     28.95      36.84 |     32.89 
-----------+----------------------+----------
     Total |        76         76 |       152 
           |    100.00     100.00 |    100.00 

 


gen bindingbudget=BUD23
replace bindingbudget=0 if BUD23==98|BUD23==99
tab bindingbudget init_end, column
. tab bindingbudget init_end, column

+-------------------+
| Key               |
|-------------------|
|     frequency     |
| column percentage |
+-------------------+

bindingbud |    1=initial 2=end
       get |   initial        end |     Total
-----------+----------------------+----------
         0 |        21          4 |        25 
           |     27.63       5.26 |     16.45 
-----------+----------------------+----------
         1 |         6          7 |        13 
           |      7.89       9.21 |      8.55 
-----------+----------------------+----------
         2 |        49         65 |       114 
           |     64.47      85.53 |     75.00 
-----------+----------------------+----------
     Total |        76         76 |       152 
           |    100.00     100.00 |    100.00 

graph hbar (count), over(bindingbudget) over(init_end) asyvars stack scheme (s1manual)
graph hbar (count), over(bindingpolicy) over(init_end) asyvars stack scheme (s1manual)

**************
**incidence of ratification
gen constitrat= CON20
replace constitrat=0 if CON20==98| CON20==99| CON20==.
tab  init_end constitrat, row


 1=initial |                 constitrat
     2=end |         0          1          2          3 |     Total
-----------+--------------------------------------------+----------
   initial |        36         13         14         13 |        76 
           |     47.37      17.11      18.42      17.11 |    100.00 
-----------+--------------------------------------------+----------
       end |        32         16         17         11 |        76 
           |     42.11      21.05      22.37      14.47 |    100.00 
-----------+--------------------------------------------+----------
     Total |        68         29         31         24 |       152 
           |     44.74      19.08      20.39      15.79 |    100.00 

gen accessrat= ACC17
replace accessrat=0 if ACC17==99|ACC17==98. 

tab  init_end accessrat , row
 1=initial |       accessrat
     2=end |         0          2 |     Total
-----------+----------------------+----------
   initial |        27         49 |        76 
           |     35.53      64.47 |    100.00 
-----------+----------------------+----------
       end |        18         58 |        76 
           |     23.68      76.32 |    100.00 
-----------+----------------------+----------
     Total |        45        107 |       152 
           |     29.61      70.39 |    100.00 

gen polirat=PM1_27 if (PM1_26==1| PM1_26==2)
replace polirat=PM2_27 if PM2_27> PM1_27 & (PM2_26==1| PM2_26==2)
replace polirat=0 if polirat==.
replace polirat=PM3_27 if PM3_27> polirat & (PM3_26==1| PM3_26==2)
replace polirat=PM4_27 if PM4_27> polirat & (PM4_26==1| PM4_26==2)
replace polirat=PM5_27 if PM5_27> polirat & (PM5_26==1| PM5_26==2)

. tab  init_end polirat , row

 1=initial |                   polirat
     2=end |         0          1          2          3 |     Total
-----------+--------------------------------------------+----------
   initial |        28          8          1         39 |        76 
           |     36.84      10.53       1.32      51.32 |    100.00 
-----------+--------------------------------------------+----------
       end |        23          7          0         46 |        76 
           |     30.26       9.21       0.00      60.53 |    100.00 
-----------+--------------------------------------------+----------
     Total |        51         15          1         85 |       152 
           |     33.55       9.87       0.66      55.92 |    100.00 

		   
***finding out which IOs vote with majority in a decision area
use "C:dp_components.dta", clear"

***************** finding out which IOs have an assembly with majority state rep

gen ACC16_B=1 if (ACC16b_A1!=. &  ACC16b_A1>0) & A1_1d<0.50 & A1_1d<. 
tab ACC16_B
replace ACC16_B=1 if (ACC16b_A2!=. & ACC16b_A2>0) &  A2_1d<0.50 & A2_1d<.
tab ACC16_B
replace ACC16_B=1 if (ACC16b_A3!=. & ACC16b_A3>0) & A3_1d<0.50 & A3_1d<.
tab ACC16_B
replace ACC16_B=1 if (ACC16b_E1!=. &  ACC16b_E1>0) & E1_8d<0.50 & E1_8d<. 
tab ACC16_B
replace ACC16_B=1 if (ACC16b_E2!=. &  ACC16b_E2>0) & E2_8d<0.50 & E2_8d<. 
tab ACC16_B
replace ACC16_B=1 if (ACC16b_E3!=. &  ACC16b_E3>0) & E3_8d<0.50 & E3_8d<. 
tab ACC16_B
replace ACC16_B=0 if ACC16_B==.

 tab init_end ACC16_B

 1=initial |        ACC16_B
     2=end |         0          1 |     Total
-----------+----------------------+----------
   initial |        53         23 |        76 
       end |        49         27 |        76 
-----------+----------------------+----------
     Total |       102         50 |       152 

gen SUSP18_B=1 if (SUSP18b_A1!=. &  SUSP18b_A1>0) & A1_1d<0.50 & A1_1d<. 
tab SUSP18_B
replace SUSP18_B=1 if (SUSP18b_A2!=. & SUSP18b_A2>0) &  A2_1d<0.50 & A2_1d<.
tab SUSP18_B
replace SUSP18_B=1 if (SUSP18b_A3!=. & SUSP18b_A3>0) & A3_1d<0.50 & A3_1d<.
tab SUSP18_B
replace SUSP18_B=1 if (SUSP18b_E1!=. &  SUSP18b_E1>0) & E1_8d<0.50 & E1_8d<. 
tab SUSP18_B
replace SUSP18_B=1 if (SUSP18b_E2!=. &  SUSP18b_E2>0) & E2_8d<0.50 & E2_8d<. 
tab SUSP18_B
replace SUSP18_B=1 if (SUSP18b_E3!=. &  SUSP18b_E3>0) & E3_8d<0.50 & E3_8d<. 
tab SUSP18_B
replace SUSP18_B=0 if SUSP18_B==.


 1=initial |       SUSP18_B
     2=end |         0          1 |     Total
-----------+----------------------+----------
   initial |        62         14 |        76 
       end |        56         20 |        76 
-----------+----------------------+----------
     Total |       118         34 |       152 

gen CON19_B=1 if (CON19b_A1!=. &  CON19b_A1>0) & A1_1d<0.50 & A1_1d<. 
tab CON19_B
replace CON19_B=1 if (CON19b_A2!=. & CON19b_A2>0) &  A2_1d<0.50 & A2_1d<.
tab CON19_B
replace CON19_B=1 if (CON19b_A3!=. & CON19b_A3>0) & A3_1d<0.50 & A3_1d<.
tab CON19_B
replace CON19_B=1 if (CON19b_E1!=. &  CON19b_E1>0) & E1_8d<0.50 & E1_8d<. 
tab CON19_B
replace CON19_B=1 if (CON19b_E2!=. &  CON19b_E2>0) & E2_8d<0.50 & E2_8d<. 
tab CON19_B
replace CON19_B=1 if (CON19b_E3!=. &  CON19b_E3>0) & E3_8d<0.50 & E3_8d<. 
tab CON19_B
replace CON19_B=0 if CON19_B==.

. tab init_end CON19_B

 1=initial |        CON19_B
     2=end |         0          1 |     Total
-----------+----------------------+----------
   initial |        49         27 |        76 
       end |        43         33 |        76 
-----------+----------------------+----------
     Total |        92         60 |       152 


gen BUD22_B=1 if (BUD22b_A1!=. &  BUD22b_A1>0) & A1_1d<0.50 & A1_1d<. 
tab BUD22_B
replace BUD22_B=1 if (BUD22b_A2!=. & BUD22b_A2>0) &  A2_1d<0.50 & A2_1d<.
tab BUD22_B
replace BUD22_B=1 if (BUD22b_A3!=. & BUD22b_A3>0) & A3_1d<0.50 & A3_1d<.
tab BUD22_B
replace BUD22_B=1 if (BUD22b_E1!=. &  BUD22b_E1>0) & E1_8d<0.50 & E1_8d<. 
tab BUD22_B
replace BUD22_B=1 if (BUD22b_E2!=. &  BUD22b_E2>0) & E2_8d<0.50 & E2_8d<. 
tab BUD22_B
replace BUD22_B=1 if (BUD22b_E3!=. &  BUD22b_E3>0) & E3_8d<0.50 & E3_8d<. 
tab BUD22_B
replace BUD22_B=0 if BUD22_B==.

. tab init_end BUD22_B

 1=initial |        BUD22_B
     2=end |         0          1 |     Total
-----------+----------------------+----------
   initial |        40         36 |        76 
       end |        29         47 |        76 
-----------+----------------------+----------
     Total |        69         83 |       152 


gen COM24_B=1 if (COM24b_A1!=. &  COM24b_A1>0) & A1_1d<0.50 & A1_1d<. 
tab COM24_B
replace COM24_B=1 if (COM24b_A2!=. & COM24b_A2>0) &  A2_1d<0.50 & A2_1d<.
tab COM24_B
replace COM24_B=1 if (COM24b_A3!=. & COM24b_A3>0) & A3_1d<0.50 & A3_1d<.
tab COM24_B
replace COM24_B=1 if (COM24b_E1!=. &  COM24b_E1>0) & E1_8d<0.50 & E1_8d<. 
tab COM24_B
replace COM24_B=1 if (COM24b_E2!=. &  COM24b_E2>0) & E2_8d<0.50 & E2_8d<. 
tab COM24_B
replace COM24_B=1 if (COM24b_E3!=. &  COM24b_E3>0) & E3_8d<0.50 & E3_8d<. 
tab COM24_B
replace COM24_B=0 if COM24_B==.


. tab init_end COM24_B

 1=initial |        COM24_B
     2=end |         0          1 |     Total
-----------+----------------------+----------
   initial |        52         24 |        76 
       end |        45         31 |        76 
-----------+----------------------+----------
     Total |        97         55 |       152 


gen PM25_B=1 if (PM1_25b_A1!=. &  PM1_25b_A1>0) & A1_1d<0.50 & A1_1d<. 
replace PM25_B=1 if (PM1_25b_A2!=. & PM1_25b_A2>0) &  A2_1d<0.50 & A2_1d<.
replace PM25_B=1 if (PM1_25b_A3!=. & PM1_25b_A3>0) & A3_1d<0.50 & A3_1d<.
replace PM25_B=1 if (PM1_25b_E1!=. &  PM1_25b_E1>0) & E1_8d<0.50 & E1_8d<. 
replace PM25_B=1 if (PM1_25b_E2!=. &  PM1_25b_E2>0) & E2_8d<0.50 & E2_8d<. 
replace PM25_B=1 if (PM1_25b_E3!=. &  PM1_25b_E3>0) & E3_8d<0.50 & E3_8d<. 
replace PM25_B=1 if (PM2_25b_A1!=. &  PM2_25b_A1>0) & A1_1d<0.50 & A1_1d<. 
replace PM25_B=1 if (PM2_25b_A2!=. & PM2_25b_A2>0) &  A2_1d<0.50 & A2_1d<.
replace PM25_B=1 if (PM2_25b_A3!=. & PM2_25b_A3>0) & A3_1d<0.50 & A3_1d<.
replace PM25_B=1 if (PM2_25b_E1!=. &  PM2_25b_E1>0) & E1_8d<0.50 & E1_8d<. 
replace PM25_B=1 if (PM2_25b_E2!=. &  PM2_25b_E2>0) & E2_8d<0.50 & E2_8d<. 
replace PM25_B=1 if (PM2_25b_E3!=. &  PM2_25b_E3>0) & E3_8d<0.50 & E3_8d<. 
replace PM25_B=1 if (PM3_25b_A1!=. &  PM3_25b_A1>0) & A1_1d<0.50 & A1_1d<. 
replace PM25_B=1 if (PM3_25b_A2!=. & PM3_25b_A2>0) &  A2_1d<0.50 & A2_1d<.
replace PM25_B=1 if (PM3_25b_A3!=. & PM3_25b_A3>0) & A3_1d<0.50 & A3_1d<.
replace PM25_B=1 if (PM3_25b_E1!=. &  PM3_25b_E1>0) & E1_8d<0.50 & E1_8d<. 
replace PM25_B=1 if (PM3_25b_E2!=. &  PM3_25b_E2>0) & E2_8d<0.50 & E2_8d<. 
replace PM25_B=1 if (PM3_25b_E3!=. &  PM3_25b_E3>0) & E3_8d<0.50 & E3_8d<. 
replace PM25_B=1 if (PM4_25b_A1!=. &  PM4_25b_A1>0) & A1_1d<0.50 & A1_1d<. 
replace PM25_B=1 if (PM4_25b_A2!=. & PM4_25b_A2>0) &  A2_1d<0.50 & A2_1d<.
replace PM25_B=1 if (PM4_25b_A3!=. & PM4_25b_A3>0) & A3_1d<0.50 & A3_1d<.
replace PM25_B=1 if (PM4_25b_E1!=. &  PM4_25b_E1>0) & E1_8d<0.50 & E1_8d<. 
replace PM25_B=1 if (PM4_25b_E2!=. &  PM4_25b_E2>0) & E2_8d<0.50 & E2_8d<. 
replace PM25_B=1 if (PM4_25b_E3!=. &  PM4_25b_E3>0) & E3_8d<0.50 & E3_8d<. 
replace PM25_B=1 if (PM5_25b_A1!=. &  PM5_25b_A1>0) & A1_1d<0.50 & A1_1d<. 
replace PM25_B=1 if (PM5_25b_A2!=. & PM5_25b_A2>0) &  A2_1d<0.50 & A2_1d<.
replace PM25_B=1 if (PM5_25b_A3!=. & PM5_25b_A3>0) & A3_1d<0.50 & A3_1d<.
replace PM25_B=1 if (PM5_25b_E1!=. &  PM5_25b_E1>0) & E1_8d<0.50 & E1_8d<. 
replace PM25_B=1 if (PM5_25b_E2!=. &  PM5_25b_E2>0) & E2_8d<0.50 & E2_8d<. 
replace PM25_B=1 if (PM5_25b_E3!=. &  PM5_25b_E3>0) & E3_8d<0.50 & E3_8d<. 
replace PM25_B=0 if PM25_B==.

. tab init_end PM25_B

 1=initial |        PM25_B
     2=end |         0          1 |     Total
-----------+----------------------+----------
   initial |        38         38 |        76 
       end |        27         49 |        76 
-----------+----------------------+----------
     Total |        65         87 |       152 

gen majvote= ACC16_B + SUSP18_B + CON19_B + BUD22_B + COM24_B + PM25_B

. tab init_end majvote, row

 1=initial |                                   majvote
     2=end |         0          1          2          3          4          5          6 |     Total
-----------+-----------------------------------------------------------------------------+----------
   initial |        34          7          4          5          8          8         10 |        76 
           |     44.74       9.21       5.26       6.58      10.53      10.53      13.16 |    100.00 
-----------+-----------------------------------------------------------------------------+----------
       end |        22          7         10          5          8         11         13 |        76 
           |     28.95       9.21      13.16       6.58      10.53      14.47      17.11 |    100.00 
-----------+-----------------------------------------------------------------------------+----------
     Total |        56         14         14         10         16         19         23 |       152 
           |     36.84       9.21       9.21       6.58      10.53      12.50      15.13 |    100.00 


. tabstat majvote, stats (p50 mean) by (init_end)

Summary for variables: majvote
     by categories of: init_end (1=initial 2=end)

init_end |       p50      mean
---------+--------------------
 initial |         1  2.131579
     end |         2  2.723684
---------+--------------------
   Total |         2  2.427632
------------------------------

**graphing # IOs with majority voting in one of six areas (Figure 6.5)
graph hbar (sum) ACC16_B SUSP18_B CON19_B BUD22_B COM24_B PM25_B, over(init_end)
